### Constructor

# Clutter SnapConstraint new

#### Declaration [src]

    ClutterConstraint*
    clutter_snap_constraint_new (
      ClutterActor* source,
      ClutterSnapEdge from_edge,
      ClutterSnapEdge to_edge,
      gfloat offset
    )

#### Description [src]

Creates a new `ClutterSnapConstraint` that will snap a `ClutterActor` to the `edge` of `source`, with the given `offset`.

#### Parameters

`source`

  Type: `ClutterActor`

  The `ClutterActor` to use as the source of the constraint, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`from_edge`

  Type: `ClutterSnapEdge`

  The edge of the actor to use in the constraint.

`to_edge`

  Type: `ClutterSnapEdge`

  The edge of `source` to use in the constraint.

`offset`

  Type: `gfloat`

  The offset to apply to the constraint, in pixels.

#### Return value

Type: `ClutterConstraint`

The newly created `ClutterSnapConstraint`.

The data is owned by the called function.